#1012 Synchronization Problem

v1.0_(example)
open
5
2013-01-09
2012-01-20
No

OS version: Windows 7 x64 with SP1
PW Safe version: 3.27

When I synchronize from one database to another and the Password Policy has changed from Default to Custom, it does not reflect the change in the target entry. But, when editing the entry after synchronization and clicking on the Password Policy tab, I get the warning that something has changed when clicking cancel.

Related

Bugs: #1012

Discussion

  • M Sharath

    M Sharath - 2012-07-21

    i would like to work on this bug... please assign it to me

     
  • M Sharath

    M Sharath - 2012-07-23

    I am a new open source software developer ... i have been using password safe for quite some time . I want to help in developing of this software by fixing this bug, so can i bug on it?

     
  • Rony Shapiro

    Rony Shapiro - 2012-07-24

    Hi msreddy-91,

    This is all yours. Let me know if you need any help.

    Thanks,

    Rony

     
  • M Sharath

    M Sharath - 2012-08-06

    in 3.29 when i synchronize from one database to other the change is reflected in the password but not in password policy .

     
  • M Sharath

    M Sharath - 2012-08-06

    i am not able to reproduce the exact bug you mentioned here in 3.29 , just let me know the steps to reproduce it or is it already fixed in V3.29. If so, can i work on the bug mentioned below which i encountered while trying to reproduce mentioned by you in v3.29.

     
  • M Sharath

    M Sharath - 2012-08-06

    when synchronizing from one database to another in 3.27 while trying to reproduce the bug you mentioned the password change is reflected but not in the password policy . it's like i have 2 databases with same group on one database the password is default, in another it is custom . after synchronizing the password is changed but it id not reflected in password policy .

     
  • M Sharath

    M Sharath - 2012-08-06

    I want to know the bug you mentioned and the one i found ,are these same or different ?

     
  • Jeremy Church

    Jeremy Church - 2012-08-06

    msreddy-91,

    I believe what you reproduced in 3.27 is what I experience.

    What I mentioned in my last sentence I believe was because the password policy was partially synchronized? I only mentioned it in case it helped in finding a resolution.

    I have not installed 3.29 and since I put this bug report in, my needs have changed and likely won't use the synchronization feature. At least as much.

    Thanks for looking into it.

     
  • M Sharath

    M Sharath - 2012-08-07

    Do you want me to fix that bug . Because im interested it in doing so .

     
  • Rony Shapiro

    Rony Shapiro - 2012-08-07

    It looks to me (without diving into the source code) that the code that handles Sync did not take into account the Password Policy of an entry.
    As named password policies were implemented only in 3.28, this is not the problem that Jeremy reported, which you failed to reproduce on 3.29.

    I suggest you fix the issue you found with password policies. Once you do that, I'll both confirm your fix, and then confirm that the issue Jeremy reported is fixed as well.

    Thanks.

    Rony

     
  • M Sharath

    M Sharath - 2012-08-17

    The issue i found that day, i am not able to reproduce now .
    when i synchronize the password is changing and the change is reflected in password policy also . So if you want to check again in V3_29 , you please check as it is fixed . as it is already fixed in 3.29 i don't see there is anything that needs to be fixed here .

     
  • Rony Shapiro

    Rony Shapiro - 2012-08-17

    I'm making this as 'pending' and 'works for me'. If someone can duplicate it, please add a comment, and the status will change to 'open'. Otherwise, it will close in two weeks.

    Rony

     
  • Rony Shapiro

    Rony Shapiro - 2013-01-09
    • status: pending --> open
    • milestone: --> v1.0_(example)
     
  • Rony Shapiro

    Rony Shapiro - 2013-01-09

    Reported for 3.27, not clear if still present.

     
  • M Sharath

    M Sharath - 2013-01-09

    HI Rony,

    It was there in 3.27 , but its not present in 3.29 . I checked when i was
    working on that .

    On Wed, Jan 9, 2013 at 10:29 AM, Rony Shapiro ronys@users.sf.net wrote:

    Reported for 3.27, not clear if still present.

    Status: open
    Labels: Interface (example)
    Created: Fri Jan 20, 2012 12:45 AM UTC by Jeremy Church
    Last Updated: Mon Sep 17, 2012 04:19 PM UTC
    Owner: M Sharath

    OS version: Windows 7 x64 with SP1
    PW Safe version: 3.27

    When I synchronize from one database to another and the Password Policy
    has changed from Default to Custom, it does not reflect the change in the
    target entry. But, when editing the entry after synchronization and
    clicking on the Password Policy tab, I get the warning that something has
    changed when clicking cancel.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/passwordsafe/bugs/1012/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Bugs: #1012

  • M Sharath

    M Sharath - 2013-01-09

    Ill start looking in to it. right now i have some work , ill get back to u
    when i start that .

    On Wed, Jan 9, 2013 at 12:59 PM, M Sharath msreddy-91@users.sf.net wrote:

    HI Rony,

    It was there in 3.27 , but its not present in 3.29 . I checked when i was
    working on that .

    On Wed, Jan 9, 2013 at 10:29 AM, Rony Shapiro ronys@users.sf.net wrote:

    Reported for 3.27, not clear if still present.

    Status: open
    Labels: Interface (example)
    Created: Fri Jan 20, 2012 12:45 AM UTC by Jeremy Church
    Last Updated: Mon Sep 17, 2012 04:19 PM UTC
    Owner: M Sharath

    OS version: Windows 7 x64 with SP1
    PW Safe version: 3.27

    When I synchronize from one database to another and the Password Policy
    has changed from Default to Custom, it does not reflect the change in the
    target entry. But, when editing the entry after synchronization and
    clicking on the Password Policy tab, I get the warning that something has
    changed when clicking cancel.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/passwordsafe/bugs/1012/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/


    Status: open
    Labels: Interface (example)
    Created: Fri Jan 20, 2012 12:45 AM UTC by Jeremy Church
    Last Updated: Wed Jan 09, 2013 04:59 AM UTC
    Owner: M Sharath

    OS version: Windows 7 x64 with SP1
    PW Safe version: 3.27

    When I synchronize from one database to another and the Password Policy
    has changed from Default to Custom, it does not reflect the change in the
    target entry. But, when editing the entry after synchronization and
    clicking on the Password Policy tab, I get the warning that something has
    changed when clicking cancel.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/passwordsafe/bugs/1012/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Bugs: #1012

  • Andrey Kuznetsov

    Some "unexpected changes" issues were fixed in r5013-5015. Maybe this issue was fixed too.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks